Bindings for the [Networking and Cryptography library (NaCl)](http://nacl.cr.yp.to/).
This gives you a fast and easy-to-use crypto box: Put stuff inside, turn the key
and it's automagically signed and encrypted. Reverse direction works, too.
There's also signing functionality.
For details about how to use that stuff, go to the NaCl homepage.

Methods and Properties
======================
`box`, `unbox`, `sign` and `unsign` return `null` if one of the parameters is
incorrect or a signature is invalid. The methods never throw.

Crypto-Box
----------

    // encrypt and sign
    box(message, nonce, pubkey, privkey)
    // decrypt and validate
    unbox(box, nonce, pubkey, privkey)
    // generates a new keypair, returns {private: <buffer>, public: <buffer>}
    boxKeypair()
    // lengths of nonces and public and private keys in bytes
    // { nonce: x, pubkey: x, privkey: x }
    lengths.box

Signatures
----------

    // sign, returns the signed message
    sign(message, privkey)
    // verify signature and remove it
    unsign(message, pubkey)
    // generates a new keypair, returns {private: <buffer>, public: <buffer>}
    signKeypair()
    // lengths of public and private keys in bytes
    // { pubkey: x, privkey: x }
    lengths.sign

Installation
============

    npm install nacl
